Ticket #283 (closed defect: fixed)

Opened 5 years ago

Last modified 5 years ago

remove dead stores (clang)

Reported by: jesus Assigned to: jesus
Priority: minor Milestone:
Component: noit-core Severity: benign
Keywords: Cc:

Description (Last modified by jesus)

Output from Piotr Sikora's run of clang

Dead store	Dead assignment	noit_listener.c	512	1	View Report
Dead store	Dead assignment	noit_console_telnet.c	2872	1	View Report
Dead store	Dead assignment	noit_console_telnet.c	1828	1	View Report
Dead store	Dead assignment	noit_console_complete.c	109	1	View Report
Dead store	Dead assignment	noit_check.c	868	1	View Report
Dead store	Dead assignment	noit_conf_checks.c	668	1	View Report
Dead store	Dead assignment	noit_http.c	1080	1	View Report
Dead store	Dead assignment	noit_http.c	1083	1	View Report
Dead store	Dead assignment	noit_rest.c	398	1	View Report
Dead store	Dead assignment	noitedit /el.c	270	1	View Report
Dead store	Dead assignment	eventer /eventer_kqueue_impl.c	325	1	View Report
Dead store	Dead assignment	eventer /eventer_SSL_fd_opset.c	420	1	View Report
Dead store	Dead assignment	eventer /eventer_SSL_fd_opset.c	153	1	View Report
Dead store	Dead assignment	jlog /jlog.c	211	1	View Report
Dead store	Dead assignment	jlog /jlog_hash.c	234	1	View Report
Dead store	Dead assignment	utils /noit_hash.c	244	1	View Report
Dead store	Dead assignment	stratcond.c	197	1	View Report
Dead store	Dead assignment	stratcon_jlog_streamer.c	578	1	View Report
Dead store	Dead assignment	stratcon_datastore.c	267	1	View Report
Dead store	Dead assignment	stratcon_iep.c	444	1	View Report
Dead store	Dead assignment	stratcon_iep.c	250	1	View Report
Dead store	Dead assignment	modules /lua.c	660	1	View Report
Dead store	Dead assignment	modules /lua.c	609	1	View Report
Dead store	Dead assignment	modules /lua.c	594	1	View Report
Dead store	Dead assignment	modules /lua_noit.c	1558	1	View Report
Dead store	Dead assignment	modules /lua_noit.c	1496	1	View Report
Dead store	Dead assignment	modules /lua_noit.c	831	1	View Report
Dead store	Dead assignment	modules /lua_noit.c	663	1	View Report
Dead store	Dead assignment	modules /lua_dns.c	426	1	View Report
Dead store	Dead assignment	modules /collectd.c	888	1	View Report
Dead store	Dead assignment	modules /collectd.c	598	1	View Report
Dead store	Dead assignment	modules /collectd.c	558	1	View Report
Dead store	Dead assignment	modules /snmp.c	406	1	View Report
Dead store	Dead assignment	modules /libstomp.c	110	1	View Report
Dead store	Dead assignment	modules /libstomp.c	94	1	View Report
Dead store	Dead increment	noit_conf_checks.c	855	1	View Report
Dead store	Dead increment	noit_jlog_listener.c	303	1	View Report
Dead store	Dead increment	noitedit /key.c	706	1	View Report
Dead store	Dead increment	noitedit /key.c	681	1	View Report
Dead store	Dead increment	noitedit /search.c	462	1	View Report
Dead store	Dead increment	jlog /jlog.c	646	1	View Report
Dead store	Dead increment	utils /noit_b64.c	109	1	View Report
Dead store	Dead increment	utils /noit_b64.c	105	1	View Report
Dead store	Dead initialization	noit_console_state.c	517	1	View Report
Dead store	Dead initialization	utils /noit_log.c	586	1	View Report
Dead store	Dead nested assignment	noitd.c	350	1	View Report
Dead store	Dead nested assignment	noitedit /read.c	225	1	View Report
Dead store	Dead nested assignment	noitedit /readline.c	794	1	View Report
Dead store	Dead nested assignment	stratcond.c	201	1	View Report
Dead store	Dead nested assignment	modules /lua_dns.c	254	1	View Report

Change History

05/25/10 13:28:13 changed by jesus

  • description changed.

05/26/10 01:15:33 changed by jesus

(In [1303]) dead assignents, refs #283

05/26/10 01:20:46 changed by jesus

(In [1305]) We don't need to know which is the 'master thread' refs #283

05/26/10 01:24:11 changed by jesus

(In [1306]) dead assignments, refs #283

05/26/10 01:26:33 changed by jesus

(In [1307]) dead assignments, refs #283

05/26/10 01:29:11 changed by jesus

(In [1308]) dead assignments, refs #283

05/26/10 01:39:36 changed by jesus

(In [1310]) dead assignments, refs #283

05/26/10 01:39:57 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

05/26/10 01:43:38 changed by jesus

(In [1311]) dead increment, refs #283

05/27/10 17:46:13 changed by jesus

(In [1321]) this assignment is never used, refs #283

05/27/10 18:52:20 changed by jesus

(In [1324]) refs #283

05/27/10 18:58:01 changed by jesus

(In [1326]) refs #283

05/27/10 19:01:19 changed by jesus

(In [1327]) refs #283